#!/usr/bin/perl -w
#
# Copyright (C) 2001,2002 asdfGroup.com Inc. All rights reserved.
#
# This library is a commercial product and it is subject to the license
# agreement that can be found at the following URL:
#   http://www.asdfGroup.com/license.html
# Please contact our staff if you will have any questions:
#   mailto:staff@asdfGroup.com
#

use strict;

sub Check_Email {
    return '' unless $_[0];
    no locale;
    $_[0] =~ /^[\w\.-]+@[\w\.-]+$/ && not $_[0]=~/\.\./;
}

{ my $Mail_Prog = "/usr/sbin/sendmail -t";# -oi -odq
sub Email {
    my ($file, $hash_ref, $attach) = @_;
    local *MAIL;
    open(MAIL,"| $Mail_Prog") or die "Email: $!";
    local $_ = $file =~ /\r|\n/ ? $file : Cat($file);
    s/@~(.*?)~@/$hash_ref->{$1}/gs;
    if (keys %$attach) {
        my ($head, $body) = split /\r?\n\r?\n/,$_,2;
	$head .= "\n";
	my $chead; $chead .= $1 while $head =~ s/^(Content-.*\r?\n)//im;
	$chead .= "Content-Type: TEXT/PLAIN; charset=US-ASCII\n"
	    if $chead !~ /^Content-Type:/mi;
        my $bound = RandCh(35);
        $head .= "MIME-Version: 1.0\n".
            "Content-Type: MULTIPART/MIXED; BOUNDARY=\"$bound\"\n\n";
        $body = "--$bound\n".$chead."\n".$body."\n";
        for $file (keys %$attach) {
            $attach->{$file} = Cat($file) unless defined $attach->{$file};
            (my $filename = $file) =~ s!.*/!!;
            $body .= "--$bound\n".
                "Content-Type: APPLICATION/octet-stream; name=\"$filename\"\n".
                "Content-Transfer-Encoding: BASE64\n".
                "Content-Disposition: attachment; filename=\"$filename\"\n\n".
                EncBase64($attach->{$file});
        }
        $_ = $head . $body . "--$bound--\n";
    }
    print MAIL $_;
}}

1;
