#!/usr/bin/perl -w
use Test;
BEGIN { plan tests => 9 }
BEGIN { unshift @INC, "../blib/lib" } 
use POWER::lib;

$out    = RandCh();
ok($out, '',                "without params");

$out    = RandCh(0);
ok($out, '',                "zero length");

$out    = RandCh(1024);
ok(length($out), 1024,      "length");
ok($out, qr/[A-Z]/,         "A-Z");
ok($out, qr/[a-z]/,         "a-z");
ok($out, qr/[0-9]/,         "0-9");
ok($out, qr/[_]/,           "_");
ok($out, qr/^[A-Za-z0-9_]+$/,"bad chars");

$out    = RandCh(1, 3 .. 6);
ok($out, qr/^[3-6]$/,       "bad chars");

